Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595244 - python-PyGithub-1.46 is available
Summary: python-PyGithub-1.46 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-PyGithub
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 12:27 UTC by Upstream Release Monitoring
Modified: 2020-02-11 01:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[patch] Update to 1.44 (#1595244) (1.04 KB, patch)
2019-10-19 08:19 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.44.1 (#1595244) (959 bytes, patch)
2019-11-07 01:47 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.45 (#1595244) (952 bytes, patch)
2019-12-29 03:54 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.46 (#1595244) (1.08 KB, patch)
2020-02-11 01:37 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2018-06-26 12:27:06 UTC
Latest upstream release: 1.40
Current version/release in rawhide: 1.39-1.fc29
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3988/

Comment 1 Brian J. Murrell 2018-09-26 12:05:07 UTC
Please note however bug #1633197 for a patch that fixes a bug since the 1.40 release.

It would be much appreciated if that patch could be applied to any update in advance of upstream making another release that includes the fix.

Comment 2 Carl George 2018-10-03 15:38:05 UTC
This update adds a requirement on requests>=2.14.0, meaning we won't be able to do it for the EPEL branch (only has python-requests-2.6.0-4 and python34-requests-2.12.5-1).

Comment 3 Brian J. Murrell 2018-10-03 17:21:40 UTC
Why can't python-requests be updated?

Comment 4 Carl George 2018-10-03 18:47:19 UTC
It's not that it can't, my statement was a reflection of the current state of things.  It would require Red Hat update python-requests in base RHEL 7 to at least 2.14.0.  Feel free to open a support case with them to advocate for that.

To be clear the update can still take place in the Fedora branches.

Comment 5 Carl George 2018-10-03 18:49:54 UTC
It would also require EPEL's python3-requests (SRPM of the python34-requests package) to get bumped to at least 2.14.0.  The EPEL maintainer could likely be convinced of the need to do that, but it's wasted effort if python-requests in base doesn't get bumped as well.

Comment 6 Brian J. Murrell 2018-10-03 19:31:53 UTC
Ahhh.  Right.  Forgot that python-requests was in base.

I wonder if pygithub really does need something as new as 2.14 or if that was just the current version of requests at the time that pygithub was released.

Is it worth relaxing the version requirement and see if it works?

As an aside, v1.43.2 is the latest now.

Comment 7 Upstream Release Monitoring 2018-10-03 19:45:46 UTC
Latest upstream release: 1.43.2
Current version/release in rawhide: 1.39-3.fc29
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3988/

Comment 8 Carl George 2018-10-03 19:46:46 UTC
Blaming setup.py [0] shows the commit that added the requests requirement [1].  That commit is a squash of pull request #664 [2], which contains a commit with a message of "pin requests to 2.14.0 or greater in prep for no_proxy" [3].  Sounds like they are using 2.14+ functionality and not just picking an arbitrary version.

[0]: https://github.com/PyGithub/PyGithub/blame/v1.40/setup.py#L107
[1]: https://github.com/PyGithub/PyGithub/commit/9aed19ddbe829af116d7b47494a597f98994a2bc
[2]: https://github.com/PyGithub/PyGithub/pull/664
[3]: https://github.com/PyGithub/PyGithub/pull/664/commits/3bbf05c388fa2351c06dc7e8da48dd6ec16aebd8

Comment 9 Upstream Release Monitoring 2019-01-29 10:04:53 UTC
Latest upstream release: 1.43.5
Current version/release in rawhide: 1.39-5.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3988/

Comment 11 Upstream Release Monitoring 2019-04-05 07:56:13 UTC
Latest upstream release: 1.43.6
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3988/

Comment 12 Upstream Release Monitoring 2019-04-16 04:01:58 UTC
Latest upstream release: 1.43.7
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3988/

Comment 13 Upstream Release Monitoring 2019-10-19 08:18:48 UTC
Latest upstream release: 1.44
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3988/

Comment 14 Upstream Release Monitoring 2019-10-19 08:19:00 UTC
Created attachment 1556770 [details]
[patch] Update to 1.44 (#1595244)

Comment 15 Upstream Release Monitoring 2019-10-19 08:20:43 UTC
the-new-hotness/stg.release-monitoring.org@STG.FEDORAPROJECT.ORG's scratch build of python-PyGithub-1.44-1.fc29.src.rpm for rawhide failed http://koji.stg.fedoraproject.org/koji/taskinfo?taskID=90123467

Comment 16 Upstream Release Monitoring 2019-11-07 01:47:19 UTC
Latest upstream release: 1.44.1
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3988/

Comment 17 Upstream Release Monitoring 2019-11-07 01:47:23 UTC
Created attachment 1557064 [details]
[patch] Update to 1.44.1 (#1595244)

Comment 18 Upstream Release Monitoring 2019-11-07 01:49:25 UTC
the-new-hotness/stg.release-monitoring.org's scratch build of python-PyGithub-1.44.1-1.fc29.src.rpm for rawhide failed http://koji.stg.fedoraproject.org/koji/taskinfo?taskID=90153049

Comment 19 Fedora Admin XMLRPC Client 2019-12-18 16:39:32 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 20 Upstream Release Monitoring 2019-12-29 03:54:34 UTC
Latest upstream release: 1.45
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3988/

Comment 21 Upstream Release Monitoring 2019-12-29 03:54:38 UTC
Created attachment 1557860 [details]
[patch] Update to 1.45 (#1595244)

Comment 22 Fedora Admin XMLRPC Client 2020-01-15 17:12:35 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 23 Upstream Release Monitoring 2020-02-11 01:37:20 UTC
Latest upstream release: 1.46
Current version/release in rawhide: 1.39-6.fc30
URL: https://pypi.python.org/pypi/PyGithub

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://stg.fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3988/

Comment 24 Upstream Release Monitoring 2020-02-11 01:37:30 UTC
Created attachment 1558467 [details]
[patch] Update to 1.46 (#1595244)

Comment 25 Upstream Release Monitoring 2020-02-11 01:40:00 UTC
the-new-hotness/stg.release-monitoring.org's scratch build of python-PyGithub-1.46-1.fc30.src.rpm for rawhide completed http://koji.stg.fedoraproject.org/koji/taskinfo?taskID=90006937


Note You need to log in before you can comment on or make changes to this bug.